Package be.fgov.ehealth.standards.kmehr.schema.v1

# Class Posology

java.lang.Object
be.fgov.ehealth.standards.kmehr.schema.v1.Posology

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:10+02:00", comments="JAXB RI v4.0.5") public class Posology extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <sequence>
               <element name="low" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
               <element name="high" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}administrationunitType"/>
               <element name="takes">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="low" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
                         <element name="high" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Posology()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getHigh()`
  Gets the value of the high property.
  `BigDecimal`
  `getLow()`
  Number of pharmaceutical product units per administration/intake e.g.
  `Takes`
  `getTakes()`
  Number of takes in the given reference period, mostly daily.
  `TextType`
  `getText()`
  Gets the value of the text property.
  `AdministrationunitType`
  `getUnit()`
  Gets the value of the unit property.
  `void`
  `setHigh(BigDecimal value)`
  Sets the value of the high property.
  `void`
  `setLow(BigDecimal value)`
  Sets the value of the low property.
  `void`
  `setTakes(Takes value)`
  Sets the value of the takes property.
  `void`
  `setText(TextType value)`
  Sets the value of the text property.
  `void`
  `setUnit(AdministrationunitType value)`
  Sets the value of the unit property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Posology

    public Posology()

- ## Method Details

  - ### getText

    public TextType getText()
    Gets the value of the text property.
    Returns:
      possible object is `TextType`

  - ### setText

    public void setText(TextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `TextType`

  - ### getLow

    public BigDecimal getLow()
    Number of pharmaceutical product units per administration/intake e.g. 2, unit of pharmaceutical product, e.g. ml, puff,drop. can be empty which means "one piece" of the pharmaceutical product as present in the package.
    Returns:
      possible object is `BigDecimal`

  - ### setLow

    public void setLow(BigDecimal value)
    Sets the value of the low property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getLow()`

  - ### getHigh

    public BigDecimal getHigh()
    Gets the value of the high property.
    Returns:
      possible object is `BigDecimal`

  - ### setHigh

    public void setHigh(BigDecimal value)
    Sets the value of the high property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getUnit

    public AdministrationunitType getUnit()
    Gets the value of the unit property.
    Returns:
      possible object is `AdministrationunitType`

  - ### setUnit

    public void setUnit(AdministrationunitType value)
    Sets the value of the unit property.
    Parameters:
      `value` - allowed object is `AdministrationunitType`

  - ### getTakes

    public Takes getTakes()
    Number of takes in the given reference period, mostly daily. Only possible when the qty of product is the same for each of the takes, e.g. 2 for twice. Default: one
    Returns:
      possible object is `Takes`

  - ### setTakes

    public void setTakes(Takes value)
    Sets the value of the takes property.
    Parameters:
      `value` - allowed object is `Takes`
    See Also:
      - `getTakes()`